## WebKitWebWindowFeatures WebKitWebWindowFeatures — Window properties of a WebKitWebView |

## Functions

gboolean | webkit_web_window_features_equal ()
WebKitWebWindowFeatures * | webkit_web_window_features_new ()

## Properties

gboolean | fullscreen | Read / Write / Construct
gint | height | Read / Write / Construct
gboolean | locationbar-visible | Read / Write / Construct
gboolean | menubar-visible | Read / Write / Construct
gboolean | scrollbar-visible | Read / Write / Construct
gboolean | statusbar-visible | Read / Write / Construct
gboolean | toolbar-visible | Read / Write / Construct
gint | width | Read / Write / Construct
gint | x | Read / Write / Construct
gint | y | Read / Write / Construct

## Types and Values

| WebKitWebWindowFeatures

## Object Hierarchy

        GObject
        ╰── WebKitWebWindowFeatures

## Description

The content of a WebKitWebView can request to change certain properties of a WebKitWebView. This can include the x, y position of the window, the width and height but also if a toolbar, scrollbar, statusbar, locationbar should be visible to the user, the request to show the WebKitWebView fullscreen.

In the normal case one will use webkit_web_view_get_window_features to get the WebKitWebWindowFeatures and then monitor the property changes. Be aware that the WebKitWebWindowFeatures might change before “web-view-ready” signal is emitted. To be safe listen to the notify::window-features signal of the WebKitWebView and reconnect the signals whenever the WebKitWebWindowFeatures of a WebKitWebView changes.

    1
    2
    3
    4
    5
    6
    /* Get the current WebKitWebWindowFeatures */
    WebKitWebWindowFeatures *features = webkit_web_view_get_window_features (my_webview);

    /* Connect to the property changes */
    g_signal_connect (G_OBJECT(features), "notify::menubar-visible", G_CALLBACK(make_menu_bar_visible), NULL);
    g_signal_connect (G_OBJECT(features), "notify::statusbar-visible", G_CALLBACK(make_status_bar_visible), NULL);

## Functions

### webkit_web_window_features_equal ()

    gboolean
    webkit_web_window_features_equal (WebKitWebWindowFeatures *features1,
                                      WebKitWebWindowFeatures *features2);

Decides if a WebKitWebWindowFeatures instance equals another, as in has the same values.

#### Parameters

features1 | a WebKitWebWindowFeatures instance |
features2 | another WebKitWebWindowFeatures instance |

#### Returns

`TRUE` if the instances have the same values, `FALSE` otherwise

Since: 1.0.3

### webkit_web_window_features_new ()

    WebKitWebWindowFeatures *
    webkit_web_window_features_new (void);

Creates a new WebKitWebWindowFeatures instance with default values. It must be manually attached to a WebView.

#### Returns

a new WebKitWebWindowFeatures instance

Since: 1.0.3

## Types and Values

### WebKitWebWindowFeatures

    typedef struct _WebKitWebWindowFeatures WebKitWebWindowFeatures;

## Property Details

### The `“fullscreen”` property

      “fullscreen”               gboolean

Controls whether window will be displayed fullscreen.

Flags: Read / Write / Construct

Default value: FALSE

Since: 1.0.3

### The `“height”` property

      “height”                   gint

The height of the window on the screen.

Flags: Read / Write / Construct

Allowed values: >= -1

Default value: -1

Since: 1.0.3

### The `“locationbar-visible”` property

      “locationbar-visible”      gboolean

Controls whether the locationbar should be visible for the window.

Flags: Read / Write / Construct

Default value: TRUE

Since: 1.0.3

### The `“menubar-visible”` property

      “menubar-visible”          gboolean

Controls whether the menubar should be visible for the window.

Flags: Read / Write / Construct

Default value: TRUE

Since: 1.0.3

### The `“scrollbar-visible”` property

      “scrollbar-visible”        gboolean

Controls whether the scrollbars should be visible for the window.

Flags: Read / Write / Construct

Default value: TRUE

Since: 1.0.3

### The `“statusbar-visible”` property

      “statusbar-visible”        gboolean

Controls whether the statusbar should be visible for the window.

Flags: Read / Write / Construct

Default value: TRUE

Since: 1.0.3

### The `“toolbar-visible”` property

      “toolbar-visible”          gboolean

Controls whether the toolbar should be visible for the window.

Flags: Read / Write / Construct

Default value: TRUE

Since: 1.0.3

### The `“width”` property

      “width”                    gint

The width of the window on the screen.

Flags: Read / Write / Construct

Allowed values: >= -1

Default value: -1

Since: 1.0.3

### The `“x”` property

      “x”                        gint

The starting x position of the window on the screen.

Flags: Read / Write / Construct

Allowed values: >= -1

Default value: -1

Since: 1.0.3

### The `“y”` property

      “y”                        gint

The starting y position of the window on the screen.

Flags: Read / Write / Construct

Allowed values: >= -1

Default value: -1

Since: 1.0.3

## See Also

“web-view-ready”